Package tigase.server.bosh

# Enum Class Constants.CacheAction

java.lang.Object
java.lang.Enum<Constants.CacheAction>
tigase.server.bosh.Constants.CacheAction

All Implemented Interfaces:
  `Serializable`, `Comparable<Constants.CacheAction>`, `Constable`

Enclosing class:
  Constants

protected static enum Constants.CacheAction extends Enum<Constants.CacheAction>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `add`
  `get`
  `get_all`
  `off`
  `on`
  `remove`
  `set`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Constants.CacheAction`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Constants.CacheAction[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### on

    public static final Constants.CacheAction on

  - ### off

    public static final Constants.CacheAction off

  - ### set

    public static final Constants.CacheAction set

  - ### add

    public static final Constants.CacheAction add

  - ### get

    public static final Constants.CacheAction get

  - ### get_all

    public static final Constants.CacheAction get_all

  - ### remove

    public static final Constants.CacheAction remove

- ## Method Details

  - ### values

    public static Constants.CacheAction[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Constants.CacheAction valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null